<?php

$labels = Utils_Labels::get();

$input_data = array();
$input_data_post = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
$input_data_get  = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);

if ($input_data_post) {
    $input_data += $input_data_post;
}
if ($input_data_get) {
    $input_data += $input_data_get;
}
?>

<div id="search-form" >
    <form method="get" >
        <input name="carerix_search_action" value="1" type="hidden" />
        <div>
            <label for="carerix_keyword"></label>
            <br />
            <input type="text" name="carerix_keyword" id="carerix_keyword" value="<?php echo $input_data['carerix_keyword']; ?>" />
        </div>
        <?php
        if ($field_values['number']) :
        ?>
            <div>
                <label for="carerix_number"><?php echo $labels['CxPortal.message.field.number']; ?></label>
                <br />
                <input type="text" name="carerix_number" id="carerix_number" value="<?php echo $input_data['carerix_number']; ?>" />
            </div>
        <?php
        endif;
        
        if ($field_values['search_by_radius']) :
        ?>
            <div>
                <label for="carerix_radius"><?php echo $labels['CxPortal.message.field.km']; ?></label>
                <br />
                <input type="text" name="carerix_radius" id="carerix_radius" value="<?php echo $input_data['carerix_radius'] ?>" />
            </div>
            <div>
                <label for="carerix_postalcode"><?php echo $labels['CxPortal.message.field.postalCode']; ?></label>
                <br />
                <input type="text" name="carerix_postalcode" id="carerix_postalcode" value="<?php echo $input_data['carerix_postalcode'] ?>" />
            </div>
        <?php
        endif;
        
        if ($field_values['country']) :
        ?>
            <div>
                <label for="carerix_land"><?php echo $labels['general.message.field.country']; ?></label>
                <br />
                <select name="carerix_land" id="carerix_land" class="cx_search_widget_select">
                    <option></option>
                <?php for($i = 0; $i < count($countries); $i++) :
                    $selectd = '';
                    if($countries[$i]['value'] == $input_data['carerix_land']) $selectd = 'selected';
                    echo "<option {$selectd} value='{$countries[$i]['value']}'>{$countries[$i]['label']}</option>";
                endfor; ?>
                </select>
            </div>
        <?php
        endif;
        
        if ($field_values['functiongroup']) :
        ?>
            <div>
                <label for="function_group"><?php echo $labels['CxPortal.message.field.singleFunctionGroup']; ?></label>
                <br />
                <div class="cx_checkbox_group">
                    <?php 
                    $funcGroup = $input_data['function_group'];

                    for($i = 0; $i < count($functiongroups); $i++) :
                        $checked = '';
                        if(is_array($funcGroup) && in_array($functiongroups[$i]['value'], $funcGroup)) $checked = 'checked';
                        echo "<label><input type='checkbox' name='function_group[]' {$checked} value='{$functiongroups[$i]['value']}'> {$functiongroups[$i]['label']}</label>";
                    endfor; 
                    ?>
                </div>
            </div>
        <?php
        endif;
        if ($field_values['function']) :
        ?>
            <div>
                <label for="function_group"><?php echo $labels['CxPortal.message.field.function']; ?></label>
                <br />
                <div class="cx_checkbox_group">
                    <?php 
                    $funcGroup = $input_data['function'];

                    for($i = 0; $i < count($functions); $i++) :
                        $checked = '';
                        if(is_array($funcGroup) && in_array($functions[$i]['value'], $funcGroup)) $checked = 'checked';
                        echo "<label><input type='checkbox' name='function[]' {$checked} value='{$functions[$i]['value']}'> {$functions[$i]['label']}</label>";
                    endfor; 
                    ?>
                </div>
            </div>
        <?php
        endif;
        ?>
        <div>
            <input type="submit" name="carerix_search" value="<?php echo $labels['CxPortal.button.startSearch']; ?>" />
        </div>
    </form>
</div>
